<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'news',

    /*
     * Modules.
     */
    'modules'   => ['latest_news'],

    
    'latest_news'       => [
        'model' => [
            'model'                 => \Litecms\News\Models\LatestNews::class,
            'table'                 => 'latest_news',
            'presenter'             => \Litecms\News\Repositories\Presenter\LatestNewsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['newsheader',  'newstype',  'newsdescription',  'language',  'status'],
            'translatables'         => [],
            'upload_folder'         => 'news/latest_news',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'News',
            'module'    => 'LatestNews',
        ],

    ],
];
