<?php

namespace Litecms\News;

use User;

class News
{
    /**
     * $latest_news object.
     */
    protected $latest_news;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\News\Interfaces\LatestNewsRepositoryInterface $latest_news)
    {
        $this->latest_news = $latest_news;
    }

    /**
     * Returns count of news.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.latest_news.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->latest_news->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\LatestNewsUserCriteria());
        }

        $latest_news = $this->latest_news->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('news::' . $view, compact('latest_news'))->render();
    }
}
