<?php

namespace Litecms\News\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LatestNewsTransformer extends TransformerAbstract
{
    public function transform(\Litecms\News\Models\LatestNews $latest_news)
    {
        return [
            'id'                => $latest_news->getRouteKey(),
            'key'               => [
                'public'    => $latest_news->getPublicKey(),
                'route'     => $latest_news->getRouteKey(),
            ], 
            'newsheader'        => $latest_news->newsheader,
            'newstype'          => $latest_news->newstype,
            'newsdescription'   => $latest_news->newsdescription,
            'language'          => $latest_news->language,
            'status'            => $latest_news->status,
            'url'               => [
                'public'    => trans_url('news/'.$latest_news->getPublicKey()),
                'user'      => guard_url('news/latest_news/'.$latest_news->getRouteKey()),
            ], 
            'status'            => trans('app.'.$latest_news->status),
            'created_at'        => format_date($latest_news->created_at),
            'updated_at'        => format_date($latest_news->updated_at),
        ];
    }
}